import { Runtime, RuntimeEvaluationListener } from '@mongosh/browser-runtime-core';
import { MongoClientOptions } from '@mongosh/service-provider-core';
import { InterruptHandle } from 'interruptor';
export declare type WorkerRuntimeEvaluationListener = RuntimeEvaluationListener & {
    onRunInterruptible(handle: InterruptHandle | null): void;
};
export declare type WorkerRuntime = Runtime & {
    init(uri: string, driverOptions?: MongoClientOptions, cliOptions?: {
        nodb?: boolean;
    }): Promise<void>;
    interrupt(): boolean;
};
